Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon
Class EditableListview

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.Box
                        |
                        +--swing.addon.EditableListview

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.awt.event.MouseListener, java.io.Serializable

public class EditableListview
extends javax.swing.Box
implements java.awt.event.MouseListener

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.Box
`javax.swing.Box.AccessibleBox, javax.swing.Box.Filler`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`java.lang.Object` | `userData`

Fields inherited from class javax.swing.Box
`accessibleContext`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EditableListview()`
`EditableListview(java.lang.String[] data)`

Method Summary
`MenuItem` | `add(MenuItem item)`
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`void` | `addItem(java.lang.String text)`
`void` | `addListSelectionListener(javax.swing.event.ListSelectionListener l)`
`void` | `addMouseListener(java.awt.event.MouseListener l)`
`void` | `changeSelectedItem(java.lang.String text)`
`boolean` | `contains(java.lang.String text)`
`void` | `createPopupMenuFrom(java.lang.String[] data)`
`void` | `createPopupMenuFromFile(java.lang.String file)`
`java.lang.String[]` | `get()`
`int` | `getSelectedIndex()`
`java.lang.String` | `getSelectedItem()`
`TextField` | `getTextField()`
`int` | `length()`
`void` | `mouseClicked(java.awt.event.MouseEvent arg0)`
`void` | `mouseEntered(java.awt.event.MouseEvent arg0)`
`void` | `mouseExited(java.awt.event.MouseEvent arg0)`
`void` | `mousePressed(java.awt.event.MouseEvent arg0)`
`void` | `mouseReleased(java.awt.event.MouseEvent arg0)`
`void` | `moveSelectedItemDownwards()`
`void` | `moveSelectedItemUpwards()`
`void` | `readFrom(java.lang.String file)`
`void` | `removeAllItems()`
`void` | `removeSelectedItem()`
`void` | `saveToFile(java.lang.String directory, java.lang.String filename)`
`void` | `set(java.lang.String[] texts)`
`void` | `setChangeEvent()`
`void` | `setLabel(java.lang.String text)`
`void` | `setSelectedIndex(int value)`
`void` | `setSelectedItem(java.lang.String text)`
`void` | `setToolTipText(java.lang.String text)`
`void` | `valueChanged(javax.swing.event.ListSelectionEvent ev)`

Methods inherited from class javax.swing.Box
`createGlue, createHorizontalBox, createHorizontalGlue, createHorizontalStrut, createRigidArea, createVerticalBox, createVerticalGlue, createVerticalStrut, getAccessibleContext, setLayout`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addNotify, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userData

    public java.lang.Object userData

Constructor Detail

### EditableListview

    public EditableListview()

### EditableListview

    public EditableListview(java.lang.String[] data)

Method Detail

### add

    public MenuItem add(MenuItem item)

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### addItem

    public void addItem(java.lang.String text)

### addListSelectionListener

    public void addListSelectionListener(javax.swing.event.ListSelectionListener l)

### addMouseListener

    public void addMouseListener(java.awt.event.MouseListener l)

  Overrides:
    `addMouseListener` in class `java.awt.Component`

### changeSelectedItem

    public void changeSelectedItem(java.lang.String text)

### contains

    public boolean contains(java.lang.String text)

### createPopupMenuFrom

    public void createPopupMenuFrom(java.lang.String[] data)

### createPopupMenuFromFile

    public void createPopupMenuFromFile(java.lang.String file)

### get

    public java.lang.String[] get()

### getSelectedIndex

    public int getSelectedIndex()

### getSelectedItem

    public java.lang.String getSelectedItem()

### getTextField

    public TextField getTextField()

### length

    public int length()

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent arg0)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent arg0)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent arg0)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent arg0)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent arg0)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### moveSelectedItemDownwards

    public void moveSelectedItemDownwards()

### moveSelectedItemUpwards

    public void moveSelectedItemUpwards()

### readFrom

    public void readFrom(java.lang.String file)
                  throws java.io.IOException

### removeAllItems

    public void removeAllItems()

### removeSelectedItem

    public void removeSelectedItem()

### saveToFile

    public void saveToFile(java.lang.String directory,
                           java.lang.String filename)
                    throws java.io.IOException

### set

    public void set(java.lang.String[] texts)

### setChangeEvent

    public void setChangeEvent()

### setLabel

    public void setLabel(java.lang.String text)

### setSelectedIndex

    public void setSelectedIndex(int value)

### setSelectedItem

    public void setSelectedItem(java.lang.String text)

### setToolTipText

    public void setToolTipText(java.lang.String text)

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent ev)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD